## hsr hsr — HSR/PRP Settings |

## Properties

Table 26.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---
    interlink
    string
| The optional interlink port name of the HSR interface.
    multicast-spec
    uint32
    0
| The last byte of supervision address.
    port1
    string
| The port1 interface name of the HSR. This property is mandatory.
    port2
    string
| The port2 interface name of the HSR. This property is mandatory.
    protocol-version
    int32
    -1
| Configures the protocol version to be used for the HSR/PRP interface. -1 (default) sets the protocol version to the default version for the protocol. 0 (hsr-2010) sets the protocol version to HSRv0 (IEC 62439-3:2010). 1 (hsr-2012) sets the protocol version to HSRv1 (IEC 62439-3:2012).
    prp
    boolean
    FALSE
| The protocol used by the interface, whether it is PRP or HSR.